<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

head("Смайлы",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Смайлы</div>";

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

echo "Чтоб вставить смайлы нужно в сообщение вписать код етого смайла, например:<br>";
echo "вписав код :P получитса <img src=\"smiles/blum3.gif\" alt=\"image\"/><br>";

if (is_file('incs/smiles.txt'))
{
$f=file('incs/smiles.txt');

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil(count($f)/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

if($on==1){
$end=$user[msg_for_page]*$page;
}else{
$end=10*$page;}

echo "<table class='post'>";

for ($i=$start;$i<$end && $i<count($f);$i++)
{
echo "<tr>";
$smile=explode(' ', $f[$i]);
echo "<td>";

echo smiles(stripcslashes(htmlspecialchars($smile[0])));
echo "</td>";
echo "<td>";

echo stripcslashes(htmlspecialchars($f[$i]));

echo "</td>";
echo "</tr>";

}

echo "</table>\n";

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?page=$i'>$i</a></span>";
}}}
}

include_once("incs/down.php");
?>